package com.migao.controller;


import com.migao.config.constant.ExamineStatus;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.CompanyEvaluationQueryRes;
import com.migao.entity.vo.res.DictionaryListRes;
import com.migao.entity.vo.res.OverviewRes;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.service.CompanyEvaluationService;
import com.migao.service.MilestoneService;
import com.migao.service.ProjectService;
import com.migao.service.PurchasingApprovalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import io.swagger.annotations.ApiParam;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "104.项目管控")
@RestController
@RequestMapping("/project")
public class ProjectController {

    @Resource
    private ProjectService projectService;
    @Resource
    private CompanyEvaluationService companyEvaluationService;


    @ApiOperationSupport(order = 3)
    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjectUpdateReq projectUpdateReq
    ) {
        return projectService.update(projectUpdateReq);
    }


    @ApiOperationSupport(order = 1)
    @ApiOperation("分页查询(所有子项目)")
    @PostMapping(value = "/pageQuerySubProject")
    public ResponseBean<PageBean<ProjectQueryRes>> pageQuerySubProject(
            @RequestBody ProjectPageQueryReq projectPageQueryReq
    ) {
        return projectService.pageQuerySubProject(projectPageQueryReq);
    }

    @ApiOperationSupport(order = 4)
    @ApiOperation("根据id查询详情")
    @PostMapping(value = "/selectById")
    public ResponseBean<OverviewRes> overview(
            @RequestParam Integer id
    ) {
        return projectService.selectById(id);
    }

    @ApiOperationSupport(order = 5)
    @ApiOperation("新增项目评价")
    @PostMapping(value = "/insertGive")
    public ResponseBean<CompanyEvaluationQueryRes> insertGive(
            @RequestBody CompanyEvaluationInsertReq companyEvaluationInsertReq
    ) {
        return companyEvaluationService.insertGive(companyEvaluationInsertReq);
    }

    @ApiOperation("删除评价")
    @PostMapping(value = "/deleteGive")
    public ResponseBean<?> deleteGive(
            @RequestParam Integer id
    ) {
        return companyEvaluationService.deleteGive(id);
    }


    @ApiOperation("修改评价")
    @PostMapping(value = "/updateGive")
    public ResponseBean<?> updateGive(
            @Validated(value = {Update.class}) @RequestBody CompanyEvaluationUpdateReq companyEvaluationUpdateReq
    ) {
        return companyEvaluationService.updateGive(companyEvaluationUpdateReq);
    }
}
