package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_contract")
@org.hibernate.annotations.Table(appliesTo = "t_contract", comment = "合同录入表")
@TableName("t_contract")
public class Contract {

    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "project_id", columnDefinition = "int COMMENT '项目id'")
    private Integer projectId;

    @Column(name = "name", columnDefinition = "varchar(255) comment '合同名称'")
    private String name;

    @Column(name = "stage_id", columnDefinition = "int COMMENT '阶段id'")
    private Integer stageId;

    @Column(name = "start_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '开始时间'")
    private LocalDate startTime;

    @Column(name = "end_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '结束时间'")
    private LocalDate endTime;

    @Column(name = "file_id", columnDefinition = "int COMMENT '文件id'")
    private Integer fileId;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
