package com.migao.entity.vo.req;

import com.migao.config.constant.PayType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class FinancesInsertReq {

    @ApiModelProperty(value = "付款类型（项目付款PROJECT_PAY/其他付款ELSE_PAY）")
    private PayType type;

    @ApiModelProperty(value = "开始时间")
    private LocalDate startTime;

    @ApiModelProperty(value = "结束时间")
    private LocalDate endTime;

    @ApiModelProperty(value = "上级代付（大额支付）")
    private String another;

    @ApiModelProperty(value = "收款单位银行账号-银行存款")
    private String bankAccount;

    @ApiModelProperty(value = "收款单位银行账号-电子汇票（大额支付必填）")
    private String bankAccountDrafts;

    @ApiModelProperty(value = "收款单位开户行-银行存款")
    private String bankAddress;

    @ApiModelProperty(value = "收款单位开户行-电子汇票（大额支付必填）")
    private String bankAddressDrafts;

    @ApiModelProperty(value = "收款单位开户联行号-银行存款")
    private String bankNumber;

    @ApiModelProperty(value = "收款单位开户联行号-电子汇票（大额支付必填）")
    private String bankNumberDrafts;

    @ApiModelProperty(value = "收款单位名称")
    private String companyNme;

    @ApiModelProperty(value = "合同金额（元）")
    private BigDecimal contractMoney;

    @ApiModelProperty(value = "财务报表")
    private String financial;

    @ApiModelProperty(value = "预算项目名称")
    private String name;

    @ApiModelProperty(value = "收款单位供应商编码")
    private String no;

    @ApiModelProperty(value = "采购组织(S201：工程服务，S202：维修服务）")
    private String organization;

    @ApiModelProperty(value = "付款金额（元）")
    private BigDecimal payMoney;

    @ApiModelProperty(value = "付款订单编号")
    private String payNo;

    @ApiModelProperty(value = "项目编码")
    private Integer projectId;

    @ApiModelProperty(value = "erp采购订单号")
    private String purchaseNo;

    @ApiModelProperty(value = "预计付款时间")
    private LocalDateTime remitTime;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "填报专责")
    private String username;

}
