package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class SupplierUpdateReq {
    @ApiModelProperty(value = "主键")
    @NotNull(message = "主键不能为空")
    private Integer id;

    @ApiModelProperty(value = "供应商名称")
    @NotEmpty(message = "供应商名称不能为空")
    private String name;

    @ApiModelProperty(value = "公司成立年度")
    @NotNull(message = "公司成立年度不能为空")
    private Date companyCreateTime;

    @ApiModelProperty(value = "公司类别")
    @NotNull(message = "公司类别不能为空")
    private Integer companyTypeId;

    @ApiModelProperty(value = "公司资质")
    @NotEmpty(message = "公司资质不能为空")
    private String companyAlbum;

    @ApiModelProperty(value = "公司规模")
    @NotEmpty(message = "公司规模不能为空")
    private String companySize;

    @ApiModelProperty(value = "执照编号")
    @NotEmpty(message = "执照编号不能为空")
    private String licenseNumber;

    @ApiModelProperty(value = "法人姓名")
    @NotEmpty(message = "法人姓名不能为空")
    private String legalPersonName;

    @ApiModelProperty(value = "法人手机号1")
    @NotNull(message = "法人手机号1不能为空")
    private Integer phoneOne;

    @ApiModelProperty(value = "法人手机号2")
    @NotNull(message = "法人手机号2不能为空")
    private Integer phoneTwo;

    @ApiModelProperty(value = "负责人姓名")
    @NotEmpty(message = "负责人姓名不能为空")
    private String principalName;

    @ApiModelProperty(value = "负责人手机号")
    @NotNull(message = "负责人手机号不能为空")
    private Integer phone;

    @ApiModelProperty(value = "注册地址")
    @NotEmpty(message = "注册地址不能为空")
    private String address;

    @ApiModelProperty(value = "注册资金")
    @NotEmpty(message = "注册资金不能为空")
    private String money;

    @ApiModelProperty(value = "外网邮箱")
    @NotEmpty(message = "外网邮箱不能为空")
    private String  outsideMail;

    @ApiModelProperty(value = "内网邮箱")
    @NotEmpty(message = "内网邮箱不能为空")
    private String  intranetMail;

    @ApiModelProperty(value = "公司营业范围")
    @NotEmpty(message = "公司营业范围不能为空")
    private String  businessScope;

    @ApiModelProperty(value = "备注")
    @NotEmpty(message = "备注不能为空")
    private String  remark;
}
