package com.migao.entity.vo.req;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.util.List;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class UseUpdateReq {


    @ApiModelProperty(value = "id")
    @NotEmpty(message = "id不能为空")
    private  Integer id;


    private String password;

    @ApiModelProperty(value = "注册手机号")
    private String phone;

    @ApiModelProperty(value = "用户")
    private String username;

    @ApiModelProperty(value = "部门id")
    @JsonSerialize(using=ToStringSerializer.class)
    private Integer departmentId;

}
