package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelProperty;
import com.migao.entity.po.Contract;
import com.migao.entity.po.DemandSchedule;
import com.migao.entity.po.ProjectMember;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;


/**
 * 项目概述返回参数
 * @author : lcl
 * @date : 2020/10/29 9:50
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class OverviewRes {

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "需求总数")
    private Integer demandTotal;

    @ExcelProperty(value = "项目名称")
    @ApiModelProperty(value = "项目名称")
    private String name;

    @ExcelProperty(value = "项目简介")
    @ApiModelProperty(value = "项目简介")
    private String content;

    @ExcelProperty(value = "重要等级")
    @ApiModelProperty(value = "重要等级")
    private String level;

    @ExcelProperty(value = "可研情况")
    @ApiModelProperty(value = "可研情况")
    private String progress;

    @ExcelProperty(value = "项目分类")
    @ApiModelProperty(value = "项目分类")
    private String projectClassify;

    @ExcelProperty(value = "项目专业分类")
    @ApiModelProperty(value = "项目专业分类")
    private String specialtyClassify;

    @ExcelProperty(value = "合计(万元)")
    @ApiModelProperty(value = "合计(万元)")
    private String total;

    @ExcelProperty(value = "总投资(万元)")
    @ApiModelProperty(value = "总投资(万元)")
    private String totalInvestment;

    @ExcelProperty(value = "资本性(万元)")
    @ApiModelProperty(value = "资本性(万元)")
    private String capital;

    @ExcelProperty(value = "成本性(万元)")
    @ApiModelProperty(value = "成本性(万元)")
    private String cost;

    @ExcelProperty(value = "二级分类")
    @ApiModelProperty(value = "二级分类")
    private String twoClassify;

    @ExcelProperty(value = "填报单位")
    @ApiModelProperty(value = "填报单位")
    private String unit;

    @ExcelProperty(value = "下达状态")
    @ApiModelProperty(value = "下达状态")
    private String orderStatus;

    @ExcelProperty(value = "储备状态")
    @ApiModelProperty(value = "储备状态")
    private String reserveStatus;

    @ApiModelProperty(value = "开始时间")
    private LocalDate startTime;

    @ApiModelProperty(value = "结束时间")
    private LocalDate endTime;

    @ApiModelProperty(value = "项目阶段列表")
    private List<ProjectStageQueryRes> stageList=new ArrayList<>();

    @ApiModelProperty(value = "项目里程碑")
    private List<MilestoneQueryRes> milestoneList=new ArrayList<>();

    @ApiModelProperty(value = "采购审批")
    private List<PurchasingApprovalQueryRes> purchasingApprovalList=new ArrayList<>();

    @ApiModelProperty(value = "项目需求")
    private List<DemandLibraryPageQueryRes> demandList=new ArrayList<>();

    @ApiModelProperty(value = "项目财务")
    private List<FinancesQueryRes> financesList=new ArrayList<>();

    @ApiModelProperty(value = "项目成员")
    private List<ProjectMemberQueryRes> projectMemberList=new ArrayList<>();

    @ApiModelProperty(value = "档案管理")
    private List<ContractQueryRes> contractList=new ArrayList<>();

    @ApiModelProperty(value = "评价")
    private List<CompanyEvaluationQueryRes> companyEvaluationList=new ArrayList<>();
}
