package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.migao.util.LocalDateTimeConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class SupplierExportRes {
    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ExcelProperty(value = "公司名称")
    @ApiModelProperty(value = "公司名称")
    private String name;

    @ExcelProperty(value = "公司资质")
    @ApiModelProperty(value = "公司资质")
    private String companyAlbum;

    @ExcelProperty(value = "公司规模")
    @ApiModelProperty(value = "公司规模")
    private String companySize;

    @ExcelProperty(value = "公司类别")
    @ApiModelProperty(value = "公司类别")
    private String companyType;

    @ExcelProperty(value = "供应商编码")
    @ApiModelProperty(value = "供应商编码")
    private String supplierCode;

    @ExcelProperty(value = "执照编号")
    @ApiModelProperty(value = "执照编号")
    private String licenseNumber;

    @ExcelProperty(value = "法人姓名")
    @ApiModelProperty(value = "法人姓名")
    private String legalPersonName;

    @ExcelProperty(value = "法人手机号1")
    @ApiModelProperty(value = "法人手机号1")
    private String phoneOne;

    @ExcelProperty(value = "法人手机号2")
    @ApiModelProperty(value = "法人手机号2")
    private String phoneTwo;

    @ExcelProperty(value = "负责人姓名")
    @ApiModelProperty(value = "负责人姓名")
    private String principalName;

    @ExcelProperty(value = "负责人手机号")
    @ApiModelProperty(value = "负责人手机号")
    private String phone;

    @ExcelProperty(value = "注册地址")
    @ApiModelProperty(value = "注册地址")
    private String address;

    @ExcelProperty(value = "注册资金")
    @ApiModelProperty(value = "注册资金")
    private String money;

    @ExcelProperty(value = "公司营业范围")
    @ApiModelProperty(value = "公司营业范围")
    private String  businessScope;

    @ExcelProperty(value = "备注")
    @ApiModelProperty(value = "备注")
    private String  remark;

    @ExcelProperty(value = "公司成立时间", converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "公司成立时间")
    private LocalDateTime companyCreateTime;

    @ExcelProperty(value = "内网邮箱")
    @ApiModelProperty(value = "内网邮箱")
    private String  intranetMail;

    @ExcelProperty(value = "外网邮箱")
    @ApiModelProperty(value = "外网邮箱")
    private String  outsideMail;

    @ExcelProperty(value = "开户联行号")
    @ApiModelProperty(value = "开户联行号")
    private String  openingBankNumber;

    @ExcelProperty(value = "开户行")
    @ApiModelProperty(value = "开户行")
    private String  openingBank;

    @ExcelProperty(value = "银行账号")
    @ApiModelProperty(value = "银行账号")
    private String  bankAccount;

    @ExcelProperty(value = "开户联行号-电子")
    @ApiModelProperty(value = "开户联行号-电子")
    private String  openingBankNumberD;

    @ExcelProperty(value = "开户行-电子")
    @ApiModelProperty(value = "开户行-电子")
    private String  openingBankD;

    @ExcelProperty(value = "银行账号-电子")
    @ApiModelProperty(value = "银行账号-电子")
    private String  bankAccountD;
}
