package com.migao.entity.vo.res;

import com.migao.entity.po.CompanyEvaluation;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class SupplierPageQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "供应商编码")
    private String supplierCode;

    @ApiModelProperty(value = "公司名称")
    private String name;

    @ApiModelProperty(value = "注册地址")
    private String address;

    @ApiModelProperty(value = "执照编号")
    private String licenseNumber;

    @ApiModelProperty(value = "注册资金")
    private String money;

    @ApiModelProperty(value = "公司资质")
    private String companyAlbum;

    @ApiModelProperty(value = "负责人姓名")
    private String principalName;

    @ApiModelProperty(value = "负责人手机号")
    private Integer phone;

    @ApiModelProperty(value = "所有项目")
    SupplierProjectRes su1 = new SupplierProjectRes();

    @ApiModelProperty(value = "已完成项目")
    SupplierProjectRes su2 = new SupplierProjectRes();

    @ApiModelProperty(value = "进行中项目")
    SupplierProjectRes su3 = new SupplierProjectRes();

    @ApiModelProperty(value = "公司评价")
    List<CompanyEvaluation> companyEvaluation = new ArrayList<>();
}
