package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.CompanyEvaluation;
import com.migao.entity.vo.req.CompanyEvaluationInsertReq;
import com.migao.entity.vo.req.CompanyEvaluationUpdateReq;
import com.migao.entity.vo.res.CompanyEvaluationQueryRes;
import com.migao.mapper.CompanyEvaluationMapper;
import com.migao.service.CompanyEvaluationService;
import com.migao.util.EntityUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author dingsong
 */
@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class CompanyEvaluationServiceImpl extends ServiceImpl<CompanyEvaluationMapper, CompanyEvaluation> implements CompanyEvaluationService {

    @Resource
    private CompanyEvaluationMapper companyEvaluationMapper;

    @Override
    public ResponseBean<CompanyEvaluationQueryRes> insertGive(CompanyEvaluationInsertReq companyEvaluationInsertReq) {
        CompanyEvaluation companyEvaluation = EntityUtils.copyProperties(companyEvaluationInsertReq, CompanyEvaluation.class);
        companyEvaluation.setDeleted(0);
        companyEvaluationMapper.insert(companyEvaluation);
        return ResponseBuilder.ok();
    }

    @Override
    public ResponseBean<?> deleteGive(Integer id) {
        CompanyEvaluation companyEvaluation = companyEvaluationMapper.selectById(id);
        if (companyEvaluation == null) {
            ResponseBuilder.fail("评价不存在");
        }
        companyEvaluation.setDeleted(1);
        companyEvaluationMapper.updateById(companyEvaluation);
        return ResponseBuilder.ok();
    }

    @Override
    public ResponseBean<?> updateGive(CompanyEvaluationUpdateReq companyEvaluationUpdateReq) {
        CompanyEvaluation companyEvaluation = EntityUtils.copyProperties(companyEvaluationUpdateReq, CompanyEvaluation.class);
        companyEvaluationMapper.updateById(companyEvaluation);
        return ResponseBuilder.ok();
    }
}
