package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.ProjectType;
import com.migao.entity.po.ProjectTypeStage;
import com.migao.entity.vo.req.ProjectTypeInsertReq;
import com.migao.entity.vo.req.ProjectTypePageQueryReq;
import com.migao.entity.vo.req.ProjectTypeUpdateReq;
import com.migao.entity.vo.res.ProjectTypeQueryRes;
import com.migao.mapper.ProjectTypeMapper;
import com.migao.mapper.ProjectTypeStageMapper;
import com.migao.service.ProjectTypeService;
import com.migao.util.EntityUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author dingsong
 */
@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class ProjectTypeServiceImpl extends ServiceImpl<ProjectTypeMapper, ProjectType> implements ProjectTypeService {
    @Resource
    private ProjectTypeMapper projectTypeMapper;
    @Resource
    private ProjectTypeStageMapper projectTypeStageMapper;

    @Override
    public ResponseBean<?> insert(ProjectTypeInsertReq projectTypeInsertReq) {
        ProjectType projectType = EntityUtils.copyProperties(projectTypeInsertReq, ProjectType.class);
        projectType.setDeleted(0);
        projectTypeMapper.insert(projectType);
        List<Integer> stageIdList = projectTypeInsertReq.getStageIdList();
        for (Integer stageId : stageIdList) {
            ProjectTypeStage build = ProjectTypeStage.builder()
                    .projectTypeId(projectType.getId())
                    .stageId(stageId)
                    .build();
            projectTypeStageMapper.insert(build);
        }
        return ResponseBuilder.ok();
    }

    @Override
    public ResponseBean<?> deleteById(Integer id) {
        return null;
    }

    @Override
    public ResponseBean<?> deleteBatch(List<Integer> ids) {
        return null;
    }

    @Override
    public ResponseBean<?> update(ProjectTypeUpdateReq projectTypeUpdateReq) {
        return null;
    }

    @Override
    public ResponseBean<PageBean<ProjectTypeQueryRes>> pageQuery(ProjectTypePageQueryReq projectTypePageQueryReq) {
        return null;
    }

    @Override
    public ResponseBean<ProjectType> findById(Integer id) {
        ProjectType projectType = projectTypeMapper.selectById(id);
        return ResponseBuilder.ok(projectType);
    }
}
